=== debian/changelog ===
simavr (1.5+dfsg1-2) sid; urgency=medium

  * simavr/Makefile:
     + always link to shared library
     + sort the auto generated header files content
  * debian/control: add package maintenance git repository
  * do not hide compiler flags
  * bump standards version up to 4.1.1

 -- Milan Kupcevic <milan@debian.org>  Mon, 27 Nov 2017 22:51:47 -0500

simavr (1.5+dfsg1-1) sid; urgency=medium

  * Initial release. (Closes: #568156)

 -- Milan Kupcevic <milan@debian.org>  Sat, 30 Sep 2017 23:11:30 -0400
