=== debian/control ===
Source: simavr
Section: electronics
Priority: optional
Maintainer: Milan Kupcevic <milan@debian.org>
Build-Depends:
 debhelper (>= 10),
 libelf-dev,
 freeglut3-dev,
 pkg-config,
 avr-libc,
 ruby,
 exuberant-ctags,
 graphviz
Standards-Version: 4.1.1
Vcs-Git: https://gitlab.com/debian/simavr.git
Vcs-Browser: https://gitlab.com/debian/simavr.git
Homepage: https://github.com/buserror/simavr

Package: simavr
Architecture: any
Multi-Arch: foreign
Recommends: gtkwave, gdb-avr
Suggests: avr-libc, avra, libsimavr-dev
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: lean and mean AVR simulator
 A simple command line tool using AVR simulator library to run AVR firmware, 
 produce VCD waveform files and/or run a debugging session. The tool reads
 simulation parameters directly from the emulated code using .elf section
 and/or accepts command line arguments.
 .
 For more advanced peripheral and virtual circuitry prototyping and simulation
 see AVR simulator development examples provided by libsimavr-examples package.

Package: libsimavr1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: AVR simulator shared library
 A library for advanced AVR core and peripheral circuitry prototyping
 including AVR firmware simulated execution, VCD waveform creation and live
 debugging. For more information see virtual circuitry peripheral prototyping
 and simulation examples provided by libsimavr-examples package.
 .
 This package contains shared library providing AVR simulation functionality.

Package: libsimavr-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Suggests: libsimavr-examples, avr-libc, avra
Recommends: build-essential, pkg-config
Depends: ${misc:Depends}, libsimavr1 (= ${binary:Version})
Description: AVR simulator development library
 A library for advanced AVR core and peripheral circuitry prototyping
 including AVR firmware simulated execution, VCD waveform creation and live
 debugging. For more information see virtual circuitry peripheral prototyping
 and simulation examples provided by libsimavr-examples package.
 .
 This package contains software development header files and static library.

Package: libsimavr-examples
Architecture: all
Multi-Arch: foreign
Section: devel
Suggests: arduino, avrdude, avra
Recommends: libsimavr-dev, avr-libc, freeglut3-dev, arduino-core
Depends: ${misc:Depends}
Description: AVR simulator development examples
 A library for advanced AVR core and peripheral circuitry prototyping
 including AVR firmware simulated execution, VCD waveform creation and live
 debugging.
 .
 Tis package contains fully functional virtual circuitry prototyping example
 code for the AVR simulator development library including simulation of
 peripherals attached to simulated AVR microcontroller.
