=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
#export V=1

PTH  = $(abspath $(dir $(MAKEFILE_LIST)))
VER ?= $(shell dpkg-parsechangelog --file $(PTH)/changelog \
         --show-field version \
         | sed -e "s,\(.*\)-.*,\\1," -e "s,.*:,," -e "s,.dfsg[0-9]*,,")

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_CFLAGS_MAINT_APPEND=$(shell getconf LFS_CFLAGS)

MA = /$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_clean:
	rm -f examples.tar
	rm -f debian/examples/board_simduino/ATmegaBOOT_168_atmega328.ihex
	dh_auto_clean

override_dh_auto_build:
	dh_auto_build -- RELEASE=1 SIMAVR_VERSION=$(VER)
	ln -s /usr/share/arduino/hardware/arduino/bootloaders/atmega/ATmegaBOOT_168_atmega328.hex debian/examples/board_simduino/ATmegaBOOT_168_atmega328.ihex
	tar cf examples.tar \
	  --mode=644 \
	  --numeric-owner \
	  --owner=0 \
	  --group=0 \
	  --mtime=./examples/Makefile \
	  --files-from=debian/examples.tarball
	tar rf examples.tar \
	  --numeric-owner \
	  --owner=0 \
	  --group=0 \
	  --mtime=./debian/examples/makefile.common \
	  -C debian examples

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr RELEASE=1 SIMAVR_VERSION=$(VER) MA=$(MA)

override_dh_install:
	dh_install --list-missing

get-orig-source:
	uscan --no-conf \
	  --verbose \
	  --destdir=$(CURDIR) \
	  --rename \
	  --force-download \
	  --download-version $(VER) \
	  --check-dirname-level=0 \
	  $(PTH)
