## simavr 1.6+dfsg

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 .PHONY: doc
 
-all:	build-simavr build-tests build-examples
+all:	build-simavr build-tests build-examples build-parts
 
 build-simavr:
 	$(MAKE) -C simavr RELEASE=$(RELEASE)
@@ -20,15 +20,22 @@
 build-examples: build-simavr
 	$(MAKE) -C examples RELEASE=$(RELEASE)
 
+build-parts: build-examples
+	$(MAKE) -C examples/parts RELEASE=$(RELEASE)
+
 install:
 	$(MAKE) -C simavr install RELEASE=$(RELEASE)
 
 doc:
 	$(MAKE) -C doc RELEASE=$(RELEASE)
 
+install:
+	$(MAKE) -C simavr install
+
 clean:
 	$(MAKE) -C simavr clean
 	$(MAKE) -C tests clean
 	$(MAKE) -C examples clean
+	$(MAKE) -C examples/parts clean
 	$(MAKE) -C doc clean
