=== debian/rules ===
--- 
+++ 
@@ -22,19 +22,21 @@
 	dh_auto_clean
 
 override_dh_auto_build:
-	dh_auto_build -- RELEASE=1 SIMAVR_VERSION=$(VER)
+	dh_auto_build -- RELEASE=1 SIMAVR_VERSION=$(VER) all doc
 	ln -s /usr/share/arduino/hardware/arduino/bootloaders/atmega/ATmegaBOOT_168_atmega328.hex debian/examples/board_simduino/ATmegaBOOT_168_atmega328.ihex
 	tar cf examples.tar \
 	  --mode=644 \
 	  --numeric-owner \
 	  --owner=0 \
 	  --group=0 \
+	  --mode=go=rX,u+rw,a-s \
 	  --mtime=./examples/Makefile \
 	  --files-from=debian/examples.tarball
 	tar rf examples.tar \
 	  --numeric-owner \
 	  --owner=0 \
 	  --group=0 \
+	  --mode=go=rX,u+rw,a-s \
 	  --mtime=./debian/examples/makefile.common \
 	  -C debian examples
